Technical Collaboration quarterly goals for October - December 2016
Closed, ResolvedPublic

Description

Whe need to define our quarterly goals for October - December 2016. Where to find quarterly goals?

Goals will be documented on https://meta.wikimedia.org/wiki/Technical_Collaboration/Goals

Team quarterly goals

Towards annual goal Continue Community liaison support for Foundation Product goals

Towards annual goal Create a systematic approach to community engagement for product development teams

Towards annual goal Connect free software developers with the 2016 Community Wishlist Survey

Individual quarterly goals

Individual goals are documented in the table below.

OwnerGoals
@AklapperT144273: Organize and coordinate Wikimedia's participation in Google Code-In 2016; help with T144074: Improve the representation of Wikimedia communities beyond English Wikipedia in the Community Wishlist Survey 2016
@CKoerner_WMFT147312: Support Discovery Q2 Goal: Enable the backend for cross-project indices on all Wikimedia projects T144512: Support Discovery Q2 Goal: Increase maps and graphs usage on Wikipedia T146907: Adding ability to search by metadata: document and announce T146753: Announce qualitative results from Hovercards T146755: Inform community on changes/updates on hovercards functionality based on A/B test results
@ElitreT147174: Phases 4, 5 in building the visual editor taskforce T145530: Support the Parsing team with the "Remove Tidy dependency from MediaWiki output" goal T144892: Facilitate deployment of the visual editor at the last group of Phase 6 wikis
@JohanT144074: Improve the representation of Wikimedia communities beyond English Wikipedia in the Community Wishlist Survey 2016 T146899: Keep Tech News easy to read
@KeeganT144625: First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers T144991: Seeking community liaison support for engaging WMF/broader community for validation of statement of purpose of design
@MoushiraT143166: Identify features promoting contributions from mobile readers that would be welcomed by experienced editors to diversify reach T143164: Create rollout plan for related pages on mobile and propose to community T144824: Deploy Wikidata descriptions to top six wikis
@RfarrandT141926: Wikimedia Developer Summit 2017 and all related tasks in the Task Graph
@QgilT141938: Prepare a program for Wikimedia Developer Summit 2017 to effectively address current high level movement needs T144477: Onboard our new Developer Advocate T1035: Consolidate the many tech events calendars in Phabricator's calendar
@QuiddityT136866: Improve the per-programming-language listings for our tools, T145486: Resolve / flag Community Wishlist 2015 requests that are not appropriate for the 2016 survey and T144074: Improve the representation of Wikimedia communities beyond English Wikipedia in the Community Wishlist Survey 2016
@Trizek-WMFT137796: Help to define next steps concerning Flow development, based on the Flow Satisfaction Survey T112864: Create a newsletter about Collaboration team products T129088: Create an easy to maintain glossary to facilitate documentation translation (help pages and technical documentation)
@Whatamidoing-WMF(Finish) T134580: CLs to communicate the Save/Publish change T142645: Announce the new 2017 wikitext editor
@srishakatuxT146613: Improve remote participation at the Wikimedia Developer Summit 2017 T147955: Organize unconference at the Wikimedia Developer Summit 2017 T145485: Support the top 10 Community Wishlist 2015 tasks suitable for volunteers until they are resolved

Calendar

  • 2016-08-15: WMF Product teams are expected to start drafting and discussing their next quarterly goals.
  • 2016-09-16: Q2 team goals due by this date.
  • 2016-09-30: Individual goals agreed and documented here.
  • 2016-01-13: quarterly review materials must be completed.
  • 2016-01-18: quarterly review dry run.
  • 2016-01-??: CE quarterly review.

Related Objects

Mentioned Here
T145486: Resolve / flag Community Wishlist 2015 requests that are not appropriate for the 2016 survey
T144991: Seeking community liaison support for engaging WMF/broader community for validation of statement of purpose of design
T149292: Document how to create a new Collaboration products newsletter
T146613: Improve remote participation at the Wikimedia Developer Summit 2017
T147955: Organize unconference at the Wikimedia Developer Summit 2017
T147312: Support Discovery Q2 Goal: Enable the backend for cross-project indices on all Wikimedia projects
T147174: Phases 4, 5 in building the visual editor taskforce
T146753: Announce qualitative results from Hovercards
T146755: Inform community on changes/updates on hovercards functionality based on A/B test results
T146907: Adding ability to search by metadata: document and announce
T146899: Keep Tech News easy to read
T134580: CLs to communicate the Save/Publish change
T142645: Announce the new 2017 wikitext editor
T136866: Improve the per-programming-language listings for our tools
T141938: Prepare a program for Wikimedia Developer Summit 2017 to effectively address current high level movement needs
T1035: Consolidate the many tech events calendars in Phabricator's calendar
T144477: Onboard our new Developer Advocate
T144892: Facilitate deployment of the visual editor at the last group of Phase 6 wikis
T145530: Support the Parsing team with the "Remove Tidy dependency from MediaWiki output" goal
T145485: Support the top 10 Community Wishlist 2015 tasks suitable for volunteers until they are resolved
T137796: Help to define next steps concerning Flow development, based on the Flow Satisfaction Survey
T145059: Phase 3, 4 in building the visual editor taskforce
T137317: Inform communities about planned outages caused by the server switch (April&May 2017)
T144824: Deploy Wikidata descriptions to top six wikis
T143164: Create rollout plan for related pages on mobile and propose to community
T143166: Identify features promoting contributions from mobile readers that would be welcomed by experienced editors to diversify reach
T144730: Publication of the Flow Satisfaction Survey results including an analysis and raw data
T144625: First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers
T137312: Work with communities to learn how inter-wiki search might work
T144512: Support Discovery Q2 Goal: Increase maps and graphs usage on Wikipedia
T144074: Improve the representation of Wikimedia communities beyond English Wikipedia in the Community Wishlist Survey 2016
T112864: Create a newsletter about Collaboration team products
T129088: Create an easy to maintain glossary to facilitate documentation translation (help pages and technical documentation)
T144273: Organize and coordinate Wikimedia's participation in Google Code-In 2016
T141926: Wikimedia Developer Summit 2017
T114384: Standardise procedures for deprecating public-facing code
There are a very large number of changes, so older changes are hidden. Show Older Changes
Trizek-WMF updated the task description. (Show Details)Aug 30 2016, 4:45 PM
Qgil updated the task description. (Show Details)Aug 31 2016, 7:17 AM
CKoerner_WMF updated the task description. (Show Details)Sep 1 2016, 6:20 PM
Keegan updated the task description. (Show Details)Sep 2 2016, 6:25 PM
Aklapper updated the task description. (Show Details)Sep 4 2016, 12:35 PM
Aklapper updated the task description. (Show Details)Sep 5 2016, 12:49 PM
Aklapper updated the task description. (Show Details)Sep 5 2016, 12:54 PM
Qgil updated the task description. (Show Details)Sep 6 2016, 12:32 PM
Qgil updated the task description. (Show Details)Sep 6 2016, 12:52 PM
Moushira updated the task description. (Show Details)Sep 6 2016, 4:32 PM
Moushira updated the task description. (Show Details)
Moushira updated the task description. (Show Details)
Moushira updated the task description. (Show Details)Sep 6 2016, 4:34 PM
Aklapper updated the task description. (Show Details)Sep 6 2016, 4:45 PM
Aklapper updated the task description. (Show Details)
Elitre updated the task description. (Show Details)Sep 8 2016, 10:41 AM
Qgil updated the task description. (Show Details)Sep 12 2016, 2:26 PM
Qgil updated the task description. (Show Details)Sep 13 2016, 7:12 AM
Qgil updated the task description. (Show Details)Sep 13 2016, 9:43 AM
Qgil updated the task description. (Show Details)Sep 13 2016, 12:35 PM
Elitre updated the task description. (Show Details)Sep 13 2016, 3:56 PM
CKoerner_WMF updated the task description. (Show Details)Sep 13 2016, 4:35 PM
Quiddity updated the task description. (Show Details)Sep 13 2016, 4:42 PM
Elitre updated the task description. (Show Details)Sep 14 2016, 12:02 PM
Qgil updated the task description. (Show Details)Sep 16 2016, 10:38 AM
Qgil updated the task description. (Show Details)Sep 19 2016, 9:16 AM
Qgil updated the task description. (Show Details)Sep 19 2016, 9:36 AM
Qgil updated the task description. (Show Details)Sep 19 2016, 10:12 AM
Qgil updated the task description. (Show Details)Sep 19 2016, 11:10 AM
Quiddity updated the task description. (Show Details)Sep 19 2016, 8:16 PM
Quiddity updated the task description. (Show Details)
Qgil updated the task description. (Show Details)Sep 20 2016, 12:21 PM
Qgil updated the task description. (Show Details)Sep 21 2016, 12:48 PM
Aklapper updated the task description. (Show Details)Sep 21 2016, 12:56 PM
Qgil updated the task description. (Show Details)Sep 21 2016, 4:14 PM
Qgil updated the task description. (Show Details)Sep 24 2016, 9:44 AM
Qgil lowered the priority of this task from High to Low.Sep 27 2016, 1:00 PM

There are some individual goals that still need to be confirmed, but now the initiative is on the owners. That includes my own ones, which I hope to review with my manager this week.

Johan updated the task description. (Show Details)Sep 28 2016, 1:41 PM
CKoerner_WMF updated the task description. (Show Details)Sep 28 2016, 8:26 PM
Qgil updated the task description. (Show Details)Sep 28 2016, 8:50 PM
Elitre updated the task description. (Show Details)Oct 3 2016, 7:31 AM
CKoerner_WMF updated the task description. (Show Details)Oct 4 2016, 2:02 PM
Qgil updated the task description. (Show Details)Oct 6 2016, 8:06 AM
srishakatux updated the task description. (Show Details)Oct 19 2016, 7:13 PM
srishakatux updated the task description. (Show Details)
srishakatux added a subscriber: srishakatux.
Trizek-WMF updated the task description. (Show Details)Oct 27 2016, 3:09 PM
Trizek-WMF updated the task description. (Show Details)Oct 27 2016, 3:53 PM
Keegan updated the task description. (Show Details)Oct 31 2016, 6:57 PM
Quiddity updated the task description. (Show Details)Oct 31 2016, 9:17 PM
Keegan updated the task description. (Show Details)Oct 31 2016, 11:00 PM
Keegan updated the task description. (Show Details)
Qgil updated the task description. (Show Details)Nov 7 2016, 10:19 AM
Qgil updated the task description. (Show Details)Nov 8 2016, 8:01 AM
Qgil updated the task description. (Show Details)Nov 25 2016, 8:59 AM
Strainu removed a subscriber: Strainu.Nov 25 2016, 10:09 AM
Qgil raised the priority of this task from Low to High.Jan 7 2017, 3:34 PM
Qgil lowered the priority of this task from High to Low.Jan 24 2017, 1:36 PM

The quarterly check-in was yesterday, and it went very well. Notes and slides are being reviewed. I will share the link as soon as they are public.

Qgil added a comment.EditedJan 27 2017, 10:53 AM

Slides and notes. I will close this task as soon as I reflect all this in our team pages in Meta.